package repositories

import (
	"gorm.io/gorm"
	"sorbet/internal/entities"
	"sorbet/pkg/db"
)

type FeatureConfigRepository struct {
	*db.Repository[entities.FeatureConfig]
}

// NewFeatureConfigRepository 创建栏目配置仓库
func NewFeatureConfigRepository(orm *gorm.DB) *FeatureConfigRepository {
	return &FeatureConfigRepository{
		db.NewRepositoryWith[entities.FeatureConfig](orm, "id"),
	}
}
