package controller

import (
	"github.com/labstack/echo/v4"
	"sorbet/internal/entities"
	"sorbet/internal/services/feature/request"
	"sorbet/pkg/crud"
)

type FeatureContentChapterController struct {
	crud.Controller[entities.FeatureContentChapter, request.FeatureContentChapterUpsertRequest]
}

func (f *FeatureContentChapterController) InitRoutes(r *echo.Group) {
	f.RegisterRoutes("/feature/content/chapters", r)
}
