package repositories

import (
	"gorm.io/gorm"
	"sorbet/internal/entities"
	"sorbet/pkg/db"
)

type SystemRolePowerRepository struct {
	*db.Repository[entities.SystemRolePower]
}

// NewSystemRolePowerRepository 创建角色授权仓库
func NewSystemRolePowerRepository(orm *gorm.DB) *SystemRolePowerRepository {
	return &SystemRolePowerRepository{
		db.NewRepositoryWith[entities.SystemRolePower](orm, "id"),
	}
}
