package controller

import (
	"github.com/labstack/echo/v4"
	"sorbet/internal/entities"
	"sorbet/internal/services/feature/request"
	"sorbet/pkg/crud"
)

type FeatureContentController struct {
	crud.Controller[entities.FeatureContent, request.FeatureContentUpsertRequest]
}

func (f *FeatureContentController) InitRoutes(r *echo.Group) {
	f.RegisterRoutes("/feature/contents", r)
}
